#!/bin/sh
#***********************************************************************
# Licensed Materials - Property of Tivoli Systems
# 5697-ENV
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1997, 2005
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#***********************************************************************
#
# Component Name: Server
#
#***********************************************************************
#
# Set up server environment to run the server on Unix as daemons
# from the install directory
#
#***********************************************************************
### BEGIN INIT INFO
# Provides:       tserverd
# Required-Start: network
### END INIT INFO
#
GEM_ROOT="/TDS/server"
#***********************************************************************
# Setup the Tivoli environment
#***********************************************************************
if [ -n "$TSERVER_ETC" ] ; then
  if [ -f $TSERVER_ETC/setup_env.sh ] ; then
    . $TSERVER_ETC/setup_env.sh
  else
    echo "rc(5902) setup_env.sh not found"
    exit 1
  fi
elif [ -f /etc/Tivoli/setup_env.sh ] ; then
   . /etc/Tivoli/setup_env.sh
 else
   echo "rc(5902) setup_env.sh not found"
   exit 1
fi

echo 'BINDIR....' $BINDIR
#
# Set LANG
#
if [ -n "$LANG" ] ; then
  if [ ! -d $BINDIR$GEM_ROOT/msg_cat/$LANG ] ; then
    LANG=C
    export LANG
  fi
else
  LANG=C
  export LANG
fi

echo 'LANG.....' $LANG
#
# Set NLSPATH
#
if [ -n $NLSPATH ] ; then
  NLSPATH=$NLSPATH:$BINDIR$GEM_ROOT/msg_cat/%L/%N:$BINDIR$GEM_ROOT/msg_cat/%L/%N.cat
else
  NLSPATH=$BINDIR$GEM_ROOT/msg_cat/%L/%N:$BINDIR$GEM_ROOT/msg_cat/%L/%N.cat
fi
export NLSPATH

#
# Set PATH
#
PATH=$PATH:$BINDIR$GEM_ROOT/bin:$BINDIR$GEM_ROOT/msg_cat/%L
export PATH

#
# Set LIBPATH
#
if [ "`uname`" = "AIX" ] ; then
  LIBPATH=$LIBPATH:/usr/opt/ibm/gskta/lib
  export LIBPATH
fi

#***********************************************************************
# You must be root inorder to start the server daemons
#***********************************************************************
if [ "`whoami`" != "root" ] ; then
  command $BINDIR$GEM_ROOT/bin/ihszmsgp 2 5901
  exit 1
fi

#
# Set DPATH
#
DPATH=$BINDIR$GEM_ROOT/config/ddf/$LANG:$BINDIR$GEM_ROOT/config/ddf/C:$DPATH
export DPATH

#
# Set the TSERVER_DB environment variable - this is the directory where
# the databases are found
# fOLLOWING LINES MODIFIED FOR 2.2.1
#
if [ -n "$TSERVER_DB" ] ; then
   export TSERVER_DB
fi

#   TSERVER_DB=$BINDIR$GEM_ROOT/db
# fi
# export TSERVER_DB

#
# Ensure ipc resources are clean before starting
#
checkProcess=`ps -e -o comm | grep ihsctp`
if [ $? != 0 ] ; then
  checkProcess=`ps -e -o comm | grep ihsx`
  if [ $? != 0 ] ; then
    $BINDIR/TDS/server/bin/tserver stop -f
    $BINDIR/TDS/server/bin/tserver stop -f
  fi
fi

#
# Start ihsctp
#
command $BINDIR$GEM_ROOT/bin/ihszmsgp 2 5903
$BINDIR$GEM_ROOT/bin/ihsctp &


sleep 5

#
# Start ihsx
#
command $BINDIR$GEM_ROOT/bin/ihszmsgp 2 5904
$BINDIR$GEM_ROOT/bin/ihsx &

sleep 5

exit 0
