<?xml version="1.0"?>

<HTML xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <HEAD>
    <STYLE>
      BODY {margin:0}
      .bg {font:8pt Verdana; background-color:purple; color:white}
      H1 {font:bold 14pt Verdana; width:100%; margin-top:1em}
      .row {font:8pt Verdana; border-bottom:1px solid #CC88CC }
      .header1 {font:bold 9pt Verdana; cursor:hand; padding:2px; border:2px outset gray}
      .header2 {font:bold 9pt Verdana;              padding:2px; border:2px outset gray}
    </STYLE>
    <XML id="auditLog">
      <xsl:apply-templates select="auditLog">
        <xsl:template>
          <xsl:copy>
            <xsl:apply-templates select="@*"/><xsl:apply-templates/>
          </xsl:copy>
        </xsl:template>
      </xsl:apply-templates>
    </XML>
  </HEAD>


  <SCRIPT><xsl:comment><![CDATA[
    //**************************************************************************
    // Create a Table Cell, forcing at least one blank, so that the
    // cell is actually drawn.
    //**************************************************************************
    function createTableCell( field )
    {
      if ( field.length > 0 )
        document.write( "<TD><DIV class=\"row\">" + field + "</DIV></TD>" )
      else
        document.write( "<TD><DIV class=\"row\">&#160;</DIV></TD>" )
    }
  ]]></xsl:comment></SCRIPT>


  <SCRIPT><xsl:comment><![CDATA[
    //**************************************************************************
    // Create a Table Cell but only if the field has a length
    //**************************************************************************
    function createTableCellIfFieldExists( field )
    {
      if ( field.length > 0 )
        document.write( "<TD><DIV class=\"row\">" + field + "</DIV></TD>" )
    }
  ]]></xsl:comment></SCRIPT>



  <SCRIPT><xsl:comment><![CDATA[
    //**************************************************************************
    // Create a Table Cell for one of the values.  Only one of the values will
    // have a length.
    //**************************************************************************
    function createTableCellForOneOrTheOther( field1, field2 )
    {
      if ( field1.length > 0 )
      {
        createTableCell( field1 )
      }
      else if ( field2.length > 0 )
      {
        createTableCell( field2 )
      }
    }
  ]]></xsl:comment></SCRIPT>


  <!--***********************************************************************-->
  <!--Body                                                                   -->
  <!--***********************************************************************-->
  <BODY>
    <!--*********************************************************************-->
    <!--Outer table that contains the heading, and the inner table           -->
    <!--*********************************************************************-->
    <TABLE width="100000" cellspacing="0">
      <TR><TD class="bg"><H1><DIV align="left">NMC Server Audit Records</DIV></H1></TD></TR>
      <TR>
        <TD class="bg">
          <DIV align="left">
            <P></P>
          </DIV>
        </TD>
      </TR>
      <TR>
        <TD valign="top">
          <!--***************************************************************-->
          <!--Inner lower table that contains all of the audit goodies       -->
          <!--***************************************************************-->
          <TABLE class="listing">
            <THEAD>
              <TD><DIV class="header1" >Date</DIV></TD>
              <TD><DIV class="header1" >Category</DIV></TD>
              <TD><DIV class="header1" >Action</DIV></TD>
              <TD><DIV class="header2" >Data1</DIV></TD>
              <TD><DIV class="header2" >Data2</DIV></TD>
              <TD><DIV class="header2" >Data3</DIV></TD>
              <TD><DIV class="header2" >Data4</DIV></TD>
              <TD><DIV class="header2" >Data5</DIV></TD>
              <TD><DIV class="header2" >Data6</DIV></TD>
              <TD><DIV class="header2" >Data7</DIV></TD>
            </THEAD>
            <!--*************************************************************-->
            <!--Loop through each audit record                               -->
            <!--*************************************************************-->
            <xsl:for-each select="auditLog/auditEntry">
            <TR>
              <!--***********************************************************-->
              <!--Determine which type of audit record that we have          -->
              <!--***********************************************************-->
              <xsl:choose>
                <xsl:when match=".[nmcServer]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">nmcServer&#160;</DIV></TD>
                  <xsl:for-each select="nmcServer">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[netconv]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">netconv&#160;</DIV></TD>
                  <xsl:for-each select="netconv">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                      createTableCell( '<xsl:value-of select="nvDomain"   />' )
                      createTableCellForOneOrTheOther( '<xsl:value-of select="ipAddr" />'
                                                     , '<xsl:value-of select="lu62name"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="hostname"   />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[nmcConsole]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">nmcConsole&#160;</DIV></TD>
                  <xsl:for-each select="nmcConsole">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                      createTableCell( '<xsl:value-of select="id"         />' )
                      createTableCell( '<xsl:value-of select="ipAddr"     />' )
                      createTableCell( '<xsl:value-of select="hostname"   />' )
                      createTableCell( '<xsl:value-of select="admin"      />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[cpe]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">cpe&#160;</DIV></TD>
                  <xsl:for-each select="cpe">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                      createTableCell( '<xsl:value-of select="id"         />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[command]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">command&#160;</DIV></TD>
                  <xsl:for-each select="command">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                      createTableCell( '<xsl:value-of select="id"         />' )
                      createTableCell( '<xsl:value-of select="ipAddr"     />' )
                      createTableCell( '<xsl:value-of select="corrId"     />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="res"        />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="rodmId"     />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="menuText"   />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="cmd"   />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="cmdResp"   />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[viewNav]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">viewNav&#160;</DIV></TD>
                  <xsl:for-each select="viewNav">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"     />' )
                      createTableCell( '<xsl:value-of select="id"         />' )
                      createTableCell( '<xsl:value-of select="ipAddr"     />' )
                      createTableCell( '<xsl:value-of select="viewType"   />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="initRes" />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="viewName" />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="locateName" />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="extSearch"  />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[viewCust]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">viewCust&#160;</DIV></TD>
                  <xsl:for-each select="viewCust">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"    />' )
                      createTableCell( '<xsl:value-of select="id"        />' )
                      createTableCell( '<xsl:value-of select="ipAddr"    />' )
                      createTableCell( '<xsl:value-of select="viewName"  />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[aggregation]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">aggregation&#160;</DIV></TD>
                  <xsl:for-each select="aggregation">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"    />' )
                      createTableCell( '<xsl:value-of select="id"        />' )
                      createTableCell( '<xsl:value-of select="ipAddr"    />' )
                      createTableCell( '<xsl:value-of select="rodmId"    />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="aggPri"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="thresholdDeg"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="thresholdSevDeg"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="thresholdUnsat"  />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[flag]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">flag&#160;</DIV></TD>
                  <xsl:for-each select="flag">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"    />' )
                      createTableCell( '<xsl:value-of select="id"        />' )
                      createTableCell( '<xsl:value-of select="ipAddr"    />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="rodmId"    />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="flagMask"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="flagValue" />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="noteMask"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="note"      />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
                <xsl:when match=".[sendMsg]">
                  <TD><DIV class="row"><xsl:value-of select="date"/>&#160;</DIV></TD>
                  <TD><DIV class="row">sendMsg&#160;</DIV></TD>
                  <xsl:for-each select="sendMsg">
                    <script type="text/javascript">
                      createTableCell( '<xsl:value-of select="action"    />' )
                      createTableCell( '<xsl:value-of select="fromId"    />' )
                      createTableCell( '<xsl:value-of select="fromIpAddr"/>' )
                      createTableCell( '<xsl:value-of select="fromHostname"/>' )
                      createTableCellIfFieldExists( '<xsl:value-of select="toId"      />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="toIpAddr"  />' )
                      createTableCellIfFieldExists( '<xsl:value-of select="toHostname"  />' )
                      createTableCell( '<xsl:value-of select="msg"       />' )
                    </script>
                  </xsl:for-each>
                </xsl:when>
              </xsl:choose>
            </TR>
            </xsl:for-each>
          </TABLE>
        </TD>
      </TR>
    </TABLE>
  </BODY>
</HTML>
